All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.remotefileselector
Class SwingRemoteFileSelectorSupport

    com.sas.actionprovider.support.remotefileselector.SwingRemoteFileSelectorSupport

All Implemented Interfaces:
  RemoteFileSelectorAreaInterface

Direct Known Subclasses:
  SwingIFileServiceSupport, SwingInformationServiceSupport

    @SASScope(value="ALL")
    public class SwingRemoteFileSelectorSupport

implements RemoteFileSelectorAreaInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for the RemoteFileSelector components.

Since:
  3.1

Field Summary
`static java.lang.String` | `CLEAR_SORT_ACTION` The actionType key used to allow clearing a sort.
`static java.lang.String` | `COLUMN_HEADER_AREA` The areaType key used to define the column headers area of a table view.
`static java.lang.String` | `CUT_ACTION` The actionType key used to allow cutting a file or folder.
`static java.lang.String` | `DATA_CELL_AREA` The areaType key used to define the data cells area of a table view.
`static java.lang.String` | `FILTER_TYPE_ACTION` The actionType key used to allow setting the type of file to be viewed.
`static java.lang.String` | `FIND_ACTION` The actionType key used to allow searching of the file system.
`static java.lang.String` | `GO_BACK_ACTION` The actionType key used to allow going back to previous view.
`static java.lang.String` | `OPEN_FOLDER_ACTION` The actionType key used to allow opening a folder.
`static java.lang.String` | `RB_KEY` the resource key
`static java.lang.String` | `SORT_COLUMN_ASCENDING_ACTION` The actionType key used to allow sorting a column in ascending order.
`static java.lang.String` | `SORT_COLUMN_DESCENDING_ACTION` The actionType key used to allow sorting a column in descending order.
`static java.lang.String` | `START_SEARCH_ACTION` The actionType key used to allow initiating a search.
`static java.lang.String` | `TABLE_COLUMN_HEADER_AREA` The areaType key used to define the column headers area of a table view.
`static java.lang.String` | `TABLE_DATA_CELL_AREA` The areaType key used to define the data cells area of a table view.
`static java.lang.String` | `UP_ONE_LEVEL_ACTION` The actionType key used to allow going up a directory level.
`static java.lang.String` | `VIEW_SELECTION_ACTION` The actionType key used to allow changing the view style.

Fields inherited from class com.sas.actionprovider.support.remotefileselector.BaseRemoteFileSelectorSupport
`ADD_FOLDER_ACTION, DISPLAY_SEARCH_RESULTS_ACTION`

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.remotefileselector.RemoteFileSelectorAreaInterface
`COMBO_AREA, DRILL_DOWN_AREA, FILTER_TYPE_AREA, SEARCH_BUTTON_AREA, TOOLBAR_AREA, TREE_AREA`

Constructor Summary
`SwingRemoteFileSelectorSupport(java.lang.Class actionClass)` Constructor that allows specification of an action class.

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`protected java.util.Map` | `getAreaScopeAttributeMap(ActionSupportFilter filter)` Returns mappings for a pre-defined set of Action Attribute keys to their corresponding dynamic values for a specific area.
`BaseAction` | `newActionInstance(java.lang.String areaType, java.lang.String actionType)` Return a newly instantiated default SwingAction based on the specified actionType or return null if actionType not recognized.

Methods inherited from class com.sas.actionprovider.support.remotefileselector.BaseRemoteFileSelectorSupport
`getActionStatus, initialize, validArea`

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  the resource key

  See Also:
    Constant Field Values

### TABLE_COLUMN_HEADER_AREA

    public static final java.lang.String TABLE_COLUMN_HEADER_AREA

  The areaType key used to define the column headers area of a table view.

  See Also:
    Constant Field Values

### TABLE_DATA_CELL_AREA

    public static final java.lang.String TABLE_DATA_CELL_AREA

  The areaType key used to define the data cells area of a table view.

  See Also:
    Constant Field Values

### DATA_CELL_AREA

    public static final java.lang.String DATA_CELL_AREA

  The areaType key used to define the data cells area of a table view.

  See Also:
    Constant Field Values

### COLUMN_HEADER_AREA

    public static final java.lang.String COLUMN_HEADER_AREA

  The areaType key used to define the column headers area of a table view.

  See Also:
    Constant Field Values

### UP_ONE_LEVEL_ACTION

    public static final java.lang.String UP_ONE_LEVEL_ACTION

  The actionType key used to allow going up a directory level.

  See Also:
    Constant Field Values

### GO_BACK_ACTION

    public static final java.lang.String GO_BACK_ACTION

  The actionType key used to allow going back to previous view.

  See Also:
    Constant Field Values

### FIND_ACTION

    public static final java.lang.String FIND_ACTION

  The actionType key used to allow searching of the file system.

  See Also:
    Constant Field Values

### VIEW_SELECTION_ACTION

    public static final java.lang.String VIEW_SELECTION_ACTION

  The actionType key used to allow changing the view style.

  See Also:
    Constant Field Values

### OPEN_FOLDER_ACTION

    public static final java.lang.String OPEN_FOLDER_ACTION

  The actionType key used to allow opening a folder.

  See Also:
    Constant Field Values

### FILTER_TYPE_ACTION

    public static final java.lang.String FILTER_TYPE_ACTION

  The actionType key used to allow setting the type of file to be viewed.

  See Also:
    Constant Field Values

### START_SEARCH_ACTION

    public static final java.lang.String START_SEARCH_ACTION

  The actionType key used to allow initiating a search.

  See Also:
    Constant Field Values

### SORT_COLUMN_ASCENDING_ACTION

    public static final java.lang.String SORT_COLUMN_ASCENDING_ACTION

  The actionType key used to allow sorting a column in ascending order.

  See Also:
    Constant Field Values

### SORT_COLUMN_DESCENDING_ACTION

    public static final java.lang.String SORT_COLUMN_DESCENDING_ACTION

  The actionType key used to allow sorting a column in descending order.

  See Also:
    Constant Field Values

### CLEAR_SORT_ACTION

    public static final java.lang.String CLEAR_SORT_ACTION

  The actionType key used to allow clearing a sort.

  See Also:
    Constant Field Values

### CUT_ACTION

    public static final java.lang.String CUT_ACTION

  The actionType key used to allow cutting a file or folder.

  See Also:
    Constant Field Values

Constructor Detail

### SwingRemoteFileSelectorSupport

    public SwingRemoteFileSelectorSupport(java.lang.Class actionClass)

  Constructor that allows specification of an action class.

  Parameters:
    `actionClass` - the class used to instantiate new actions

Method Detail

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class. and managed by the support class.

  Overrides:
    `createDefaultActions` in class `BaseRemoteFileSelectorSupport`

### newActionInstance

    public BaseAction newActionInstance(java.lang.String areaType,
                                        java.lang.String actionType)

  Return a newly instantiated default SwingAction based on the specified actionType or return null if actionType not recognized.

  Specified by:
    `newActionInstance` in class `BaseActionProviderSupport`
  Parameters:
    `actionType` - the key associated with a defined action type.
    `areaType` - the key associated with a defined area type.
  Returns:
    a new action of the specified type.

### getAreaScopeAttributeMap

    protected java.util.Map getAreaScopeAttributeMap(ActionSupportFilter filter)

  Description copied from class: `BaseRemoteFileSelectorSupport`
  Returns mappings for a pre-defined set of Action Attribute keys to their corresponding dynamic values for a specific area.
  This method will become abstract once everyone makes the conversion from setActionAttributes()

  Overrides:
    `getAreaScopeAttributeMap` in class `BaseRemoteFileSelectorSupport`
  Parameters:
    `filter` - Defines the specific area.
  Returns:
    mappings for a pre-defined set of Action Attribues keys

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.